> ## Name

> AmbientMaterialSource - 3D API ambient material source

> ## Usage

> AmbientMaterialSource = int(enable)

> ## Valid Enumerants

> enable: true, false

> ## Description

> Enable/disable front and back ambient color material. See the GL_AMBIENT description on the OpenGL glColorMaterial manual page for details. See the D3DRS_AMBIENTMATERIALSOURCE render state description for DirectX 9.

> The standard reset callback sets the AmbientMaterialSource state to int(false).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> ColorMaterial, DiffuseMaterialSource, EmissiveMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource